#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)


##### d (shared) ################################

tde_add_library( d SHARED AUTOMOC
  SOURCES
    dmainwindow.cpp buttonbar.cpp button.cpp ddockwindow.cpp
    docksplitter.cpp dtabwidget.cpp
  LINK tdeparts-shared tdecore-shared tdeui-shared
  VERSION 0.0.0
  DESTINATION ${LIB_INSTALL_DIR}
)
